Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.config.internal.util
Class ReferenceParsingUtil

    java.lang.Object
      org.eclipse.gemini.blueprint.config.internal.util.ReferenceParsingUtil

    public abstract class ReferenceParsingUtil

extends Object

Reference related parsing utility.

Author:
  Costin Leau

Constructor Summary
`ReferenceParsingUtil()`

Method Summary
`static void` | `checkAvailabilityAndCardinalityDuplication(Element element, String availabilityName, String cardinalityName, org.springframework.beans.factory.xml.ParserContext context)`
`static Availability` | `determineAvailability(String value)`
`static Availability` | `determineAvailabilityFromCardinality(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReferenceParsingUtil

    public ReferenceParsingUtil()

Method Detail

### checkAvailabilityAndCardinalityDuplication

    public static void checkAvailabilityAndCardinalityDuplication(Element element,
                                                                  String availabilityName,
                                                                  String cardinalityName,
                                                                  org.springframework.beans.factory.xml.ParserContext context)

### determineAvailabilityFromCardinality

    public static Availability determineAvailabilityFromCardinality(String value)

### determineAvailability

    public static Availability determineAvailability(String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.